<template>
  <q-page class="flex justify-center">
    <div class="flex column text-center" style="flex-basis: 100%">
      <div class="column" style="height:100%">
        <q-banner class="flex col-shrink bg-dark text-white q-mb-lg q-pa-md">
          <strong>Extras</strong>
        </q-banner>
        <div class="flex col-grow sensible-width">
          <div class="full-width">
            <p>If you haven't already, it is recommended to add your business to Bitcoin.com's Map to attract more customers.</p>
            <p>To do this, click the button below and then click Submit Listing on the bottom right.</p>
            <q-btn type="a" href="https://map.bitcoin.com" target="_blank" label="List your Business on Bitcoin.com" color="secondary" icon="map" />
          </div>
        </div>
        <div class="col-shrink sensible-width">
          <div class="q-pa-sm">
            <q-btn push type="a" label="Go to Terminal" color="primary" class="full-width q-pa-md" icon="check_circle" to="checkout" />
          </div>
        </div>
      </div>
    </div>
  </q-page>
</template>

<script setup lang="ts">
//-----------------------------------------------------------------------------
// Imports and Framework features
//-----------------------------------------------------------------------------
import { useRoute } from 'vue-router'
import { useQuasar } from 'quasar'
import { useTerminalStore } from '../../stores/terminal-store'
import { storeToRefs } from 'pinia'

const $q = useQuasar()
const $route = useRoute()
const terminalStore = useTerminalStore()

//-----------------------------------------------------------------------------
// Constants and Properties
//-----------------------------------------------------------------------------

const terminalId = $route.params.terminalId as string

</script>
